Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PropertyBundle

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.PropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TiePropertyBundle

    public class PropertyBundle

extends TieApplicationObject

A PropertyBundle contains a set of name/value pairs, and behaves like a java.util.Hashtable.

PropertyBundles are used for several intrinsic features of iFS:

- DefaultAcls on PrimaryUserProfile - defines the default ACL to be used when creating new PublicObjects; the name/value pairs are keyed by the PublicObject subclass name.
- PropertyBundle on PublicObject - contains adhoc custom data, associated with a PublicObject.

PropertyBundle has Hashtable-like methods to put or remove properties from the PropertyBundle. A putProperty method will replace a Property in a PropertyBundle if it has the same name.

See Also:
  `PropertyDefinition`, `PropertyBundle`, `PropertyBundleDefinition`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` Name of this class.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `PropertyBundle(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a PropertyBundle.

Method Summary
`protected void` | `applyProperties(LibraryObjectDefinition def)` Applies any properties that might be present in the specified definition.
`ParameterTable` | `constructEquivalentParameterTable()` Construct a ParameterTable that is equivalent to the PropertyBundle's set of properties.
`static ParameterTable` | `constructEquivalentParameterTable(LibrarySession session, Property[] props)` Construct a ParameterTable that is equivalent to the specified set of properties.
`static ParameterTable` | `constructEquivalentParameterTable(LibrarySession session, PropertyBundleDefinition pbDef)` Construct a ParameterTable that is equivalent to the set of properties defined in the specified PropertyBundleDefinition.
`protected static PropertyBundle` | `constructPropertyBundle(LibrarySession sess, S_LibraryObjectData data)` Constructs a PropertyBundle from the specified data.
`protected static java.util.Vector` | `constructPropertyBundleVector(LibrarySession sess, java.util.Vector vector)` Constructs a Vector of PropertyBundle from a Vector of S_LibraryObjectData.
`Property[]` | `getProperties()` Gets all the properties in this PropertyBundle.
`Property` | `getProperties(int index)` Gets the Property at the specified index.
`Property` | `getProperty(java.lang.String name)` Gets a specified Property by name.
`Property` | `getPropertyByUpperCaseName(java.lang.String name)` Gets a specified Property by name, where the name must be in all uppercase.
`AttributeValue` | `getPropertyValue(java.lang.String name)` Gets the value of a specific Property by name.
`AttributeValue` | `getPropertyValueByUpperCaseName(java.lang.String name)` Gets the value of a specific Property by name, where the name must be in all uppercase.
`AttributeValue[]` | `getPropertyValues()` Gets the values of all the properties in this PropertyBundle.
`void` | `putPropertyValue(AttributeValue av)` Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).
`void` | `putPropertyValue(java.lang.String name, AttributeValue av)` Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).
`void` | `removeAllPropertyValues()` Removes all Properties from this PropertyBundle.
`void` | `removePropertyValue(java.lang.String name)` Removes a Property, if it exists in this PropertyBundle (analogous to Hashtable.remove())
`void` | `resetProperties()` Clears the locally cached array of properties.
`protected static PropertyBundle` | `vectorPropertyBundleElement(java.util.Vector vector, int index)` Returns a specific PropertyBundle from a Vector of PropertyBundle, at the specified index.
`protected static PropertyBundle[]` | `vectorToPropertyBundleArray(java.util.Vector vector)` Converts a Vector of PropertyBundle to an array of PropertyBundle.

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `PropertyBundle`
  Name of this class.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### PropertyBundle

    protected PropertyBundle(LibrarySession session,
                             java.lang.Long id,
                             java.lang.Long classId,
                             S_LibraryObjectData data)
                      throws IfsException

  Construct a PropertyBundle.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the Property data
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Method Detail

### applyProperties

    protected void applyProperties(LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `LibraryObject`
  Applies any properties that might be present in the specified definition.

  This is called from both postCreate() and postUpdate().

  Overrides:
    `applyProperties` in class `LibraryObject`
  Parameters:
    `def` - The definition used in create or update operation
  Throws:
    `IfsException` - if the operation fails

### getProperties

    public Property[] getProperties()
                             throws IfsException

  Description copied from class: `PropertyBundle`
  Gets all the properties in this PropertyBundle.

  Returns:
    array of Property objects or null if there are no properties in the PropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getProperties

    public Property getProperties(int index)
                           throws IfsException

  Description copied from class: `PropertyBundle`
  Gets the Property at the specified index.

  Parameters:
    `index` - index into the Property array
  Returns:
    the requested Property
  Throws:
    `IfsException` - if operation fails
  (Published)

### getPropertyValues

    public AttributeValue[] getPropertyValues()
                                       throws IfsException

  Description copied from class: `PropertyBundle`
  Gets the values of all the properties in this PropertyBundle.

  Returns:
    the property values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### resetProperties

    public void resetProperties()
                         throws IfsException

  Description copied from class: `PropertyBundle`
  Clears the locally cached array of properties.

  This must be called to force a new array of properties to be fetched from the server.

  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getProperty

    public Property getProperty(java.lang.String name)
                         throws IfsException

  Description copied from class: `PropertyBundle`
  Gets a specified Property by name.

  Parameters:
    `name` - the name of the Property
  Returns:
    the Property, or null if no such Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyByUpperCaseName

    public Property getPropertyByUpperCaseName(java.lang.String name)
                                        throws IfsException

  Description copied from class: `PropertyBundle`
  Gets a specified Property by name, where the name must be in all uppercase.

  This is equivalent to `getProperty`, but avoids an unnecessary conversion of the name to upper case.

  Parameters:
    `name` - the uppercased name of the Property
  Returns:
    the Property, or null if no such Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyValue

    public AttributeValue getPropertyValue(java.lang.String name)
                                    throws IfsException

  Description copied from class: `PropertyBundle`
  Gets the value of a specific Property by name.

  Overrides:
    `getPropertyValue` in class `LibraryObject`
  Parameters:
    `name` - name of the Property
  Returns:
    AttributeValue containing the value of the Property. Returns null if the Property is not found.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyValueByUpperCaseName

    public AttributeValue getPropertyValueByUpperCaseName(java.lang.String name)
                                                   throws IfsException

  Description copied from class: `PropertyBundle`
  Gets the value of a specific Property by name, where the name must be in all uppercase.

  This is equivalent to `getPropertyValue` , but avoids an unnecessary conversion of the name to upper case.

  Parameters:
    `name` - uppercased name of the Property
  Returns:
    AttributeValue object containing the value of the Property. Returns null if the Property is not found.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### putPropertyValue

    public void putPropertyValue(java.lang.String name,
                                 AttributeValue av)
                          throws IfsException

  Description copied from class: `PropertyBundle`
  Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).

  Parameters:
    `name` - the name of the Property
    `av` - the AttributeValue containing the new value;
  Throws:
    `IfsException` - if the operation fails
  (Published)

### putPropertyValue

    public void putPropertyValue(AttributeValue av)
                          throws IfsException

  Description copied from class: `PropertyBundle`
  Puts a new value for a Property, replacing any attribute of the same name (analogous to Hashtable.put()).

  Parameters:
    `av` - the AttributeValue containing the new value; implies the name & data type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removePropertyValue

    public void removePropertyValue(java.lang.String name)
                             throws IfsException

  Description copied from class: `PropertyBundle`
  Removes a Property, if it exists in this PropertyBundle (analogous to Hashtable.remove())

  Parameters:
    `name` - the name of the Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeAllPropertyValues

    public void removeAllPropertyValues()
                                 throws IfsException

  Description copied from class: `PropertyBundle`
  Removes all Properties from this PropertyBundle.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructEquivalentParameterTable

    public ParameterTable constructEquivalentParameterTable()
                                                     throws IfsException

  Description copied from class: `PropertyBundle`
  Construct a ParameterTable that is equivalent to the PropertyBundle's set of properties.

  Returns:
    the ParameterTable that reflects this instance's properties.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructEquivalentParameterTable

    public static ParameterTable constructEquivalentParameterTable(LibrarySession session,
                                                                   Property[] props)
                                                            throws IfsException

  Description copied from class: `PropertyBundle`
  Construct a ParameterTable that is equivalent to the specified set of properties.

  Parameters:
    `session` - the session context
    `props` - the Properties
  Returns:
    the ParameterTable that reflects the specified properties.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructEquivalentParameterTable

    public static ParameterTable constructEquivalentParameterTable(LibrarySession session,
                                                                   PropertyBundleDefinition pbDef)
                                                            throws IfsException

  Description copied from class: `PropertyBundle`
  Construct a ParameterTable that is equivalent to the set of properties defined in the specified PropertyBundleDefinition.

  Parameters:
    `session` - the session context
    `pbDef` - the Properties
  Returns:
    the ParameterTable that reflects the specified properties.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructPropertyBundleVector

    protected static java.util.Vector constructPropertyBundleVector(LibrarySession sess,
                                                                    java.util.Vector vector)
                                                             throws IfsException

  Description copied from class: `PropertyBundle`
  Constructs a Vector of PropertyBundle from a Vector of S_LibraryObjectData.

  Parameters:
    `sess` - session
    `vector` - Vector of S_LOData
  Returns:
    Vector of PropertyBundle
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructPropertyBundle

    protected static PropertyBundle constructPropertyBundle(LibrarySession sess,
                                                            S_LibraryObjectData data)
                                                     throws IfsException

  Description copied from class: `PropertyBundle`
  Constructs a PropertyBundle from the specified data.

  Parameters:
    `sess` - the session
    `data` - the PropertyBundle data
  Returns:
    the PropertyBundle
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

### vectorToPropertyBundleArray

    protected static PropertyBundle[] vectorToPropertyBundleArray(java.util.Vector vector)

  Description copied from class: `PropertyBundle`
  Converts a Vector of PropertyBundle to an array of PropertyBundle.

  Parameters:
    `vector` - Vector of PropertyBundle
  Returns:
    array of PropertyBundle that corresponds to Vector
  (Unpublished)

### vectorPropertyBundleElement

    protected static PropertyBundle vectorPropertyBundleElement(java.util.Vector vector,
                                                                int index)

  Description copied from class: `PropertyBundle`
  Returns a specific PropertyBundle from a Vector of PropertyBundle, at the specified index.

  Parameters:
    `vector` - Vector of PropertyBundle
    `index` - index into the Vector of PropertyBundle
  Returns:
    the specified PropertyBundle
  Throws:
    `java.lang.IndexOutOfBoundsException` - if invalid index specified.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD